## haskell-binary 0.5.0.2

=== debian/changelog ===
haskell-binary (0.5.0.2-2build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:12 +0100

haskell-binary (0.5.0.2-2) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Joachim Breitner <nomeata@debian.org>  Wed, 13 Apr 2011 11:30:01 +0530

haskell-binary (0.5.0.2-1) unstable; urgency=low

  [ Joachim Breitner ]
  * New upstream release 
  * Adopt by Debian Haskell Group 

  [ Marco Túlio Gontijo e Silva ]
  * Use debian/compat 7.

  [ Joachim Breitner ]
  * Remove hugs package

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 15:45:20 +0100

haskell-binary (0.5.0.1-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Mon, 18 May 2009 15:00:37 +0300

haskell-binary (0.5-2) unstable; urgency=low

  * Added ghc6-doc as a build dep, again.
  * Built against new haddock and haskell-devscripts, to get arch
    independent .haddock files again.

 -- Kari Pahula <kaol@debian.org>  Wed, 25 Feb 2009 15:34:09 +0200

haskell-binary (0.5-1) unstable; urgency=low

  * New upstream release
  * Use haskell-devscripts's hlibrary.mk, don't include a copy of it
    anymore.

 -- Kari Pahula <kaol@debian.org>  Tue, 24 Feb 2009 16:13:02 +0200

haskell-binary (0.4.4-2) unstable; urgency=low

  * Updated hlibrary.mk to put .haddock file to -dev package.

 -- Kari Pahula <kaol@debian.org>  Fri, 20 Feb 2009 09:25:37 +0200

haskell-binary (0.4.4-1) unstable; urgency=low

  * New upstream release
  * Built against ghc6 6.10.1.
  * Updated hlibrary.mk.

 -- Kari Pahula <kaol@debian.org>  Tue, 17 Feb 2009 22:55:20 +0200

haskell-binary (0.4.1-3) unstable; urgency=low

  * Don't use runhaskell but compile Setup.lhs to avoid ghc6's "not built
    for interactive use" errors on most arches.

 -- Kari Pahula <kaol@debian.org>  Sat, 19 Jan 2008 04:13:48 +0200

haskell-binary (0.4.1-2) unstable; urgency=low

  * Added missing build-dep ghc6-prof.

 -- Kari Pahula <kaol@debian.org>  Sat, 19 Jan 2008 03:36:35 +0200

haskell-binary (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #445751)
  * Use haskell-devscripts, dh_haskell and cdbs instead of haskell-utils.
  * Added a hugs library package, library with profiling support for GHC
    and a doc package.

 -- Kari Pahula <kaol@debian.org>  Sun, 13 Jan 2008 16:01:21 +0200

haskell-binary (0.3-2) unstable; urgency=low

  * Rebuilt and updated dependencies for ghc 6.6.1

 -- Kari Pahula <kaol@debian.org>  Mon, 14 May 2007 15:16:11 +0300

haskell-binary (0.3-1) unstable; urgency=low

  * New upstream release

 -- Kari Pahula <kaol@debian.org>  Sat, 14 Apr 2007 16:54:21 +0300

haskell-binary (0.2-1) unstable; urgency=low

  * Uses Ian Lynagh's Generic Haskell cabal library debian/rules v0.6.
  * Initial release (Closes: #413833)

 -- Kari Pahula <kaol@debian.org>  Fri,  9 Mar 2007 14:38:35 +0200
