=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

binary-fixup/libghc-binary-doc::
	chmod -x debian/$(notdir $@)/usr/share/doc/$(notdir $@)/examples/*
