## haskell-binary 0.5.1.0

=== debian/changelog ===
haskell-binary (0.5.1.0-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Tue, 07 Feb 2012 23:22:39 +0100
