## haskell-binary 0.7.2.1

=== debian/changelog ===
haskell-binary (0.7.2.1-1) unstable; urgency=low

  * Re-add a dedicated binary package. Agda needs a newer binary than the
    version that comes with GHC.

 -- Joachim Breitner <nomeata@debian.org>  Sat, 26 Jul 2014 14:12:53 +0200
